# Atmospheric pressure

A decision block that checks the atmospheric pressure using the built-in sensor.

If the proceed option is set to Immediately, then check the current pressure without pausing the fiber. If set to When changed, then the fiber will pause until the pressure comes within the pressure range, or goes out of range.

If both minimum pressure and maximum pressure is set and doesn’t evaluate to `null` then the pressure must be within the range. If only minimum is set, then the pressure must be greater than or equal to it. If only maximum is set, then the pressure must be less than or equal to it. If neither minimum nor maximum is set, then the current pressure is just assigned to the current pressure variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum pressure — minimum pressure in hectopascal.
- Maximum pressure — maximum pressure in hectopascal.

## Output variables

- Current pressure — variable to assign the current pressure in hectopascal.